import pickle
import numpy as np

with open("time.dat", "rb") as f:
    time_data = pickle.load(f)


print(time_data)
with open("time_bc.dat", "rb") as f:
    time_bc = pickle.load(f)

time_data = np.array(time_data)
time_bc = np.array(time_bc)
time_data = np.cumsum(time_data, axis=1) / 1000
time_bc = np.cumsum(time_bc, axis=1) / 1000

time_data_process = np.mean(time_data, axis=0)
time_bc_process = np.mean(time_bc, axis=0)

time_data_process_std = np.std(time_data, axis=0)
time_bc_process_std = np.std(time_bc, axis=0)

print("DD mean", time_data_process)
print("BC mean", time_bc_process)
print("DD std", time_data_process_std)
print("BC std", time_bc_process_std)